GraphDatabaseSetting (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.factory
Class GraphDatabaseSetting<T>

    java.lang.Object
      org.neo4j.graphdb.factory.GraphDatabaseSetting<T>

All Implemented Interfaces:
  Setting

Direct Known Subclasses:
  GraphDatabaseSetting.BaseOptionsSetting, GraphDatabaseSetting.IntegerRangeNumberOfBytesSetting, GraphDatabaseSetting.ListSetting, GraphDatabaseSetting.NumberOfBytesSetting, GraphDatabaseSetting.NumberSetting, GraphDatabaseSetting.StringSetting, GraphDatabaseSetting.TimeSpanSetting, GraphDatabaseSetting.URISetting

Deprecated.

    @Deprecated
    public abstract class GraphDatabaseSetting<T>

extends Object
implements Setting

Setting types for Neo4j. Actual settings are in GraphDatabaseSettings. This is a usage-only class, backwards compatibility is retained for using implementations of it, but not for implementing it. This is deprecated, please use `Setting` instead.

Nested Class Summary
`static class` | `GraphDatabaseSetting.AbstractPathSetting` Deprecated.
`static class` | `GraphDatabaseSetting.BaseOptionsSetting<ST>` Deprecated.
`static class` | `GraphDatabaseSetting.BooleanSetting` Deprecated.
`static interface` | `GraphDatabaseSetting.DefaultValue` Deprecated.
`static class` | `GraphDatabaseSetting.DirectorySetting` Deprecated.
`static class` | `GraphDatabaseSetting.DoubleSetting` Deprecated.
`static class` | `GraphDatabaseSetting.EnumerableSetting<ET extends Enum<ET>>` Deprecated.
`static class` | `GraphDatabaseSetting.FileSetting` Deprecated.
`static class` | `GraphDatabaseSetting.FloatSetting` Deprecated.
`static class` | `GraphDatabaseSetting.IntegerRangeNumberOfBytesSetting` Deprecated.
`static class` | `GraphDatabaseSetting.IntegerSetting` Deprecated.
`static class` | `GraphDatabaseSetting.ListSetting<T>` Deprecated.
`static class` | `GraphDatabaseSetting.LongSetting` Deprecated.
`static class` | `GraphDatabaseSetting.NumberOfBytesSetting` Deprecated.
`static class` | `GraphDatabaseSetting.NumberSetting<T extends Number>` Deprecated.
`static class` | `GraphDatabaseSetting.OptionsSetting` Deprecated.
`static class` | `GraphDatabaseSetting.PortSetting` Deprecated.
`static class` | `GraphDatabaseSetting.StringSetting` Deprecated.
`static class` | `GraphDatabaseSetting.TimeSpanSetting` Deprecated.
`static class` | `GraphDatabaseSetting.URISetting` Deprecated.

Field Summary
`static String` | `ANY` Deprecated.
`static String` | `DURATION` Deprecated.
`static String` | `FALSE` Deprecated.
`static String` | `SIZE` Deprecated.
`static String` | `TRUE` Deprecated.

Constructor Summary
`protected` | `GraphDatabaseSetting(String name, String validationMessage)` Deprecated.

Method Summary
`protected String` | `getMessage(Locale locale, String defaultMessage)` Deprecated.
`protected IllegalArgumentException` | `illegalValue(Locale locale, String... args)` Deprecated.
`protected IllegalArgumentException` | `illegalValue(Locale locale, String value, Object[] args)` Deprecated.
`protected IllegalArgumentException` | `illegalValue(Locale locale, String value, String rawMessage, Object[] args)` Deprecated.
`String` | `name()` Deprecated.
`static boolean` | `osIsMacOS()` Deprecated.
`static boolean` | `osIsWindows()` Deprecated.
`abstract void` | `validate(Locale locale, String value)` Deprecated. Validate a raw string value, called when configuration is set.
`void` | `validate(String value)` Deprecated.
`String` | `validationMessage()` Deprecated.
`abstract T` | `valueOf(String rawValue, Config config)` Deprecated. Create a typed value from a raw string value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRUE

    @Deprecated
    public static final String TRUE

  Deprecated.
  See Also:
    Constant Field Values

### FALSE

    @Deprecated
    public static final String FALSE

  Deprecated.
  See Also:
    Constant Field Values

### ANY

    @Deprecated
    public static final String ANY

  Deprecated.
  See Also:
    Constant Field Values

### SIZE

    @Deprecated
    public static final String SIZE

  Deprecated.
  See Also:
    Constant Field Values

### DURATION

    @Deprecated
    public static final String DURATION

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### GraphDatabaseSetting

    protected GraphDatabaseSetting(String name,
                                   String validationMessage)

  Deprecated.

Method Detail

### name

    public String name()

  Deprecated.
  Specified by:
    `name` in interface `Setting`

### validationMessage

    public String validationMessage()

  Deprecated.

### validate

    public void validate(String value)
                  throws IllegalArgumentException

  Deprecated.
  Specified by:
    `validate` in interface `Setting`
  Throws:
    `IllegalArgumentException`

### validate

    public abstract void validate(Locale locale,
                                  String value)

  Deprecated.
  Validate a raw string value, called when configuration is set. Throws IllegalArgumentException if the provided value is not valid.

  Parameters:
    `locale` -
    `value` -

### valueOf

    public abstract T valueOf(String rawValue,
                              Config config)

  Deprecated.
  Create a typed value from a raw string value. This is to be called when a value is fetched from configuration.

  Parameters:
    `rawValue` - The raw string value stored in configuration
    `config` - The config instance, allows having config values that depend on each other.
  Returns:

### getMessage

    protected String getMessage(Locale locale,
                                String defaultMessage)

  Deprecated.

### illegalValue

    @Deprecated
    protected IllegalArgumentException illegalValue(Locale locale,
                                                               String... args)

  Deprecated.

### illegalValue

    protected IllegalArgumentException illegalValue(Locale locale,
                                                    String value,
                                                    Object[] args)
                                             throws IllegalArgumentException

  Deprecated.
  Throws:
    `IllegalArgumentException`

### illegalValue

    protected IllegalArgumentException illegalValue(Locale locale,
                                                    String value,
                                                    String rawMessage,
                                                    Object[] args)
                                             throws IllegalArgumentException

  Deprecated.
  Throws:
    `IllegalArgumentException`

### osIsWindows

    public static boolean osIsWindows()

  Deprecated.

### osIsMacOS

    public static boolean osIsMacOS()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.